import { BaseNode } from '../../base';
import { FC } from 'react';
import { ReactNodeProps } from '@logicflow/react-node-registry';
export declare const ComponentNodeView: FC<ReactNodeProps>;
declare class ComponentNodeModel extends BaseNode.model {
    getOutlineStyle(): import("@logicflow/core").LogicFlow.OutlineTheme;
    getDefaultAnchor(): {
        x: number;
        y: number;
        id: string;
        type: string;
    }[];
    getNodeName(): any;
    getNodeAbstract(): {
        title: string;
        content: {
            desc: string;
            type: string;
        }[];
        showButton: boolean;
    };
    getNodeLogo(): any;
    getNodeClassName(): string;
}
declare const _default: {
    type: string;
    component: FC<ReactNodeProps>;
    model: typeof ComponentNodeModel;
};
export default _default;
